var API = 
{
  // init
  Init: function()
  {
    //
  },
 
  // setting
  Prefs: function(type,data,callback)
  {  
    if(type == 'get')
    {
      chrome.runtime.sendMessage({command:'getprefs',data:data}, function(response){
        callback(response);
      });
    }
    else if(type == 'set')
    {
      chrome.runtime.sendMessage({command:'setprefs',data:data}, function(response){
        if(callback)
          callback();
      });
    }
  },

  // send message
  SendMsg: function(data)
  {
    chrome.extension.sendMessage(data,function(resp){});
  },

  // receive message
  RecvMsg: function(callback)
  {
    chrome.extension.onMessage.addListener(function(event,sender,sendResponse){callback(event);});
  },

  // parse GET
  parseUrlQuery: function() 
  {
    var data = {};
    if(window.location.search) 
    {
      var pair = (window.location.search.substr(1)).split('&');
      for(var i = 0; i < pair.length; i ++) 
      {
        var param = pair[i].split('=');
        data[param[0]] = param[1];
      }
    }
    return data;
  },

  // remove HTML
  StripTags: function(html) 
  {
    return html.replace(/<\/?[^>]+>/gi,'');
  }
};