// patch 
var s = document.createElement('script');
s.src = chrome.extension.getURL('/includes/vk_intercept.js');
s.onload = function() {
    this.parentNode.removeChild(this);
};
document.head.appendChild(s);

document.addEventListener('socmoduledone',function(e)
{
  API.Prefs('get',{SocModuleActive:''},function(prefs)
  {
    if(prefs.SocModuleActive != '1') return;
    var data = e.detail.data;
    data.target = 'background';
    data.command = 'setvk';
    API.SendMsg(data);
  });
});

//
function isHidden(el) {
    return (el.offsetParent === null)
}

// account link
function GetUser()
{
  var profile_link = document.getElementById('myprofile');
  profile_link = profile_link.href.split('/');
  profile_link = profile_link[profile_link.length-1];
  return profile_link;
}

// join
function JoinGroup()
{
  var button = document.getElementById('subscribe_button') || document.querySelector('#group_like_module button') || document.getElementById('join_button') || document.querySelector('#friend_status button');
  if(button)
  {
    if(!isHidden(button))
    setTimeout(function()
    {
      button.click();
    },1000);    
    API.Prefs('set',{SocModuleAction:''});
  }
}

// share
function Share()
{
  // wall (popup)
  if(document.getElementsByClassName('wl_post_action_link fl_l')[0])
    document.getElementsByClassName('wl_post_action_link fl_l')[0].click();
  // photo
  else if(document.getElementById('pv_share'))
    document.getElementById('pv_share').click();
  // wall
  else if(document.getElementsByClassName('reply_link')[0] && document.getElementsByClassName('reply_link')[0].outerHTML.indexOf('showEditReply') == -1)
    document.getElementsByClassName('reply_link')[0].click();

  //return;

  // popup insert
  document.addEventListener('DOMNodeInserted', function (event)
  {
    API.Prefs('get',{SocModuleAction:''},function(prefs)
    {
      if(prefs.SocModuleAction.length == 0) return;
      if(!event.target.innerHTML) return;
      // photo
      if(event.target.innerHTML.indexOf('pv_share') != -1)
      {
        document.getElementById('pv_share').click();
      }
      // wall
      else if(event.target.innerHTML.indexOf('wl_post_action_link fl_l') != -1)
      {
        document.getElementsByClassName('wl_post_action_link fl_l')[0].click();
      }
      // share popup
      else
      {
        if(event.target.innerHTML.indexOf('like_share_my') != -1)
        setTimeout(function()
        {
          document.getElementById('like_share_my').click();
          document.getElementById('like_share_send').click();
          API.Prefs('set',{SocModuleAction:''});
        },1000);
      }
    });
  });
}

// like
function Like()
{
  // wall
  if(document.getElementsByClassName('fw_like_wrap fl_l')[0] && parseFloat(window.getComputedStyle(document.querySelector('.fw_like_icon')).opacity).toFixed(1) == '0.4')
  {
    document.getElementsByClassName('fw_like_wrap fl_l')[0].click();
    API.Prefs('set',{SocModuleAction:''});
  }
  // wall (popup)
  else if(document.getElementsByClassName('wl_post_like_wrap fl_l')[0] && parseFloat(window.getComputedStyle(document.querySelector('#wk_like_icon')).opacity).toFixed(1) == '0.4')
  {
    document.getElementsByClassName('wl_post_like_wrap fl_l')[0].click();
    API.Prefs('set',{SocModuleAction:''});
  }
  // foto (popup)
  else if(document.getElementById('pv_like_wrap') && parseFloat(window.getComputedStyle(document.querySelector('#pv_like_icon')).opacity).toFixed(1) == '0.4')
  {
    document.getElementById('pv_like_wrap').click();
    API.Prefs('set',{SocModuleAction:''});
  }

  // popup insert
  document.addEventListener('DOMNodeInserted', function (event)
  {
    API.Prefs('get',{SocModuleAction:''},function(prefs)
    {
      if(prefs.SocModuleAction.length == 0) return;
      if(!event.target.innerHTML) return;
      // wall
      if(event.target.innerHTML.indexOf('wl_post_like_wrap fl_l') != -1)
      {
        if(parseFloat(window.getComputedStyle(document.getElementById('wk_like_icon')).opacity).toFixed(1) == '0.4')
        {
          document.getElementsByClassName('wl_post_like_wrap fl_l')[0].click();
          API.Prefs('set',{SocModuleAction:''});
        }
      }
      // photo
      else if(event.target.innerHTML.indexOf('pv_like_link') != -1)
      {
        if(parseFloat(window.getComputedStyle(document.getElementById('pv_like_icon')).opacity).toFixed(1) == '0.4')
        {
          document.getElementById('pv_like_wrap').click();
          API.Prefs('set',{SocModuleAction:''});
        }
      }
    });
  });
}

//
API.Prefs('get',{SocModuleAction:'',HotkeysSocJoin:'',HotkeysSocShare:'',HotkeysSocLike:''},function(prefs)
{
  // action
  if(window.self != window.top) return;
  if(prefs.SocModuleAction != '')
  {
    // Вступить в группу
    if(prefs.SocModuleAction == 'joingroup')
    {
      JoinGroup();
    }

    // Рассказать друзьям
    if(prefs.SocModuleAction == 'share')
    {
      Share();
    }

    // Рассказать друзьям
    if(prefs.SocModuleAction == 'like')
    {
      Like();
    }
  }

  // hotkeys 
  keys[prefs.HotkeysSocJoin] = function(){API.Prefs('set',{SocModuleAction:'joingroup'},function(){JoinGroup();});};
  keys[prefs.HotkeysSocShare] = function(){API.Prefs('set',{SocModuleAction:'share'},function(){Share();});};
  keys[prefs.HotkeysSocLike] = function(){API.Prefs('set',{SocModuleAction:'like'},function(){Like();});};
});
