window.addEventListener('load', function()
{
  API.Init();
  
  // load setting
  function LoadPrefs()
  {
    var input = document.getElementsByClassName('prefs');
    for(i in input)
    {
      if(input[i].nodeType == 1)
      {
        if(input[i].type == 'text')
        {
          input[i].value = API.Prefs(input[i].id);
        }
        else if(input[i].type == 'checkbox')
        {
          if(API.Prefs(input[i].id) == '1')
          input[i].checked = 'checked';
        }
        else if(input[i].tagName == 'TEXTAREA')
        input[i].value = API.Prefs(input[i].id);
        else if(input[i].tagName == 'SELECT')
        {
          var options = input[i].getElementsByTagName('option');
          for (o in options)
          {
            if(options[o].nodeType == 1 && options[o].value == API.Prefs(input[i].id))
            options[o].setAttribute('selected', 'selected');
          }
        }
      }
    }
  }

  LoadPrefs();
  
  // save setting
  var save_buttons = document.getElementsByClassName('save');
  for(i in save_buttons)
  {
    if(!save_buttons[i].nodeName) break;
    save_buttons[i].addEventListener('click',function(e)
    {
      try
      {
        var input = e.target.parentNode.parentNode.getElementsByClassName('prefs');
        for(p in input)
        {
          if(!input[p].nodeName) break;
          if(input[p].type == 'text')
          API.Prefs(input[p].id,input[p].value);
          else if(input[p].type == 'checkbox')
          {
            if(input[p].checked == true)
            API.Prefs(input[p].id,input[p].value);
            else
            API.Prefs(input[p].id,'0');
          }
          else if(input[p].tagName == 'TEXTAREA')
          API.Prefs(input[p].id,input[p].value);
          else if(input[p].tagName == 'SELECT')
          {
            var options = input[p].getElementsByTagName('option');
            API.Prefs(input[p].id,input[p].options[input[p].selectedIndex].value);
          }
        }
      }
      catch(e)
      {
        alert('Error - '+e);
      }
      finally
      {
        API.SendMsg({command:'changepopup'},'post');
        alert('Сохранено');
      }  
    });
  }

  // custom
  var custom = document.getElementById('custom');
  custom.addEventListener('click',function()
  {
    if(!confirm('Сбросить настройки до стандартных?')) return;
    var input = document.getElementsByClassName('prefs');
    for(i in input)
    {
      if(input[i].nodeType != 1) break;
      API.Prefs(input[i].id,undefined);
    }
    window.location.reload();
  });

  // open/close spoilers
  var spoilers = document.getElementsByClassName('spoiler_head');
  for(i in spoilers)
  {
    if(!spoilers[i].nodeName) break;
    spoilers[i].addEventListener('click',function(e)
    {
      var content = e.target.parentNode.parentNode.getElementsByClassName('spoiler_content')[0];
      content.style.display = content.style.display=='none' ? 'block' : 'none';
    });
  }
  
});